Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ru
Class RussianStemFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.ru.RussianStemFilter

    public final class RussianStemFilter

extends TokenFilter

A filter that stems Russian words. The implementation was inspired by GermanStemFilter. The input should be filtered by RussianLowerCaseFilter before passing it to RussianStemFilter , because RussianStemFilter only works with lowercase part of any "russian" charset.

Version:
  $Id: RussianStemFilter.java 687357 2008-08-20 14:38:07Z mikemccand $

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`RussianStemFilter(TokenStream in, char[] charset)`

Method Summary
`Token` | `next(Token reusableToken)`
`void` | `setStemmer(org.apache.lucene.analysis.ru.RussianStemmer stemmer)` Set a alternative/custom RussianStemmer for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RussianStemFilter

    public RussianStemFilter(TokenStream in,
                             char[] charset)

Method Detail

### next

    public final Token next(Token reusableToken)
                     throws IOException

  Overrides:
    `next` in class `TokenStream`
  Returns:
    Returns the next token in the stream, or null at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(org.apache.lucene.analysis.ru.RussianStemmer stemmer)

  Set a alternative/custom RussianStemmer for this filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.